Package org.jboss.resteasy.client.jaxrs.internal.proxy.processors.invocation

## Class HeaderParamProcessor

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.proxy.processors.AbstractCollectionProcessor<ClientInvocation>
  - - org.jboss.resteasy.client.jaxrs.internal.proxy.processors.invocation.AbstractInvocationCollectionProcessor
    - - org.jboss.resteasy.client.jaxrs.internal.proxy.processors.invocation.HeaderParamProcessor

- All Implemented Interfaces:
    `InvocationProcessor`

      public class HeaderParamProcessor
      extends AbstractInvocationCollectionProcessor

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.client.jaxrs.internal.proxy.processors.AbstractCollectionProcessor

      `annotations, config, paramName, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HeaderParamProcessor​(String paramName)` |
    `HeaderParamProcessor​(String paramName, Type type, Annotation[] annotations, ClientConfiguration config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ClientInvocation` | `apply​(ClientInvocation invocation, Object... objects)` |

    - ### Methods inherited from class org.jboss.resteasy.client.jaxrs.internal.proxy.processors.invocation.AbstractInvocationCollectionProcessor

      `process`

    - ### Methods inherited from class org.jboss.resteasy.client.jaxrs.internal.proxy.processors.AbstractCollectionProcessor

      `buildIt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderParamProcessor

          public HeaderParamProcessor​(String paramName)

    - #### HeaderParamProcessor

          public HeaderParamProcessor​(String paramName,
                                      Type type,
                                      Annotation[] annotations,
                                      ClientConfiguration config)

  - ### Method Detail

    - #### apply

          protected ClientInvocation apply​(ClientInvocation invocation,
                                           Object... objects)

      Specified by:
        `apply` in class `AbstractCollectionProcessor<ClientInvocation>`